Overview

We're introducing a breaking change to the GET /contracts API to align with the Torii web console:

  1. All Contract Details seen in the UI will now be supported in the new API
  2. Pagination will be supported for the API
  3. Advanced filtering will be supported for the API
  4. Aggregations will be supported for the API

Timeline:

  • April 26th, 2026: new version (1.1) is available for use alongside the default 1.0 version.
  • (in between): Users of the API will need to opt-in to the new version.
  • August 1st, 2026: API Keys created on or after this date will be opted-into version 1.1 by default.
  • October 1st, 2026: the new version (1.1) becomes the default and version 1.0 is removed.

We suggest using the new header to opt-in to the new version 1.1 starting today for new developments.

Opt-in to the new API

The API now supports a new header X-API-Version: 1.1. This new version supports pagination, aggregations and filtering. It also introduces a new response body that provides more data on nested objects.

To opt-in to the new version, use the following header in your API request:

{  
	"headers": {  
		"X-API-Version": "1.1"  
  }  
}

To learn more about pagination and sorting, please refer to the API reference here: https://developers.toriihq.com/reference/pagination.

Added new endpoints

by Ziv Erlichson

We've introduced several new endpoints:

  • List app fields metadata - List apps fields (predefined and custom). The list of options for dropdown and multi dropdown fields is not provided by this API. You can search by field name or key.
  • List contract fields metadata - List contract fields (predefined and custom). The list of options for dropdown and multi dropdown fields is not provided by this API. You can search by field name or key.
  • List user fields metadata - List user fields (predefined and custom). The list of options for dropdown and multi dropdown fields is not provided by this API. You can search by field name or key.
  • List user custom fields - List user custom fields for connected integrations

We’ve made improvements to the GET https://api.toriihq.com/v1.0/audit endpoint to deliver a smoother and more efficient experience, especially when retrieving large volumes of audit data.

  • Improved Performance. The endpoint has been optimized to deliver faster response times, making it more efficient for high-volume data retrieval.
  • Increased Fetch Limit. You can now retrieve up to 1,000 audit log entries per request, streamlining bulk data access.
  • Refined Workflow Data. For the workflows entity, the properties object no longer includes the data and responseData fields. This change helps reduce payload size and remove noise.

For full details, visit the Audit Logs Endpoint Documentation.

Overview

We're introducing a breaking change to the GET /apps API to align with the Torii web console:

  1. All App Details seen in the UI will now be supported in the new API
  2. Pagination will be supported for the API
  3. The "lastUsageTime" field is replaced by the "lastVisitTime" field
  4. The "users" field is replaced by the "activeUsersCount" field

Timeline:

  • January 14th, 2025: new version (1.1) is available for use alongside the default 1.0 version.
  • February 1st, 2025: API Keys created on or after this date will be opted-into version 1.1 by default.
  • (in between): Users of the API will need to opt-in to the new version.
  • July 1st, 2025: original date where new version (1.1) becomes the default and version 1.0 is removed. It was updated to August 1st, 2025 to provide more time for the changes.
  • August 1st, 2025: final date where new version (1.1) becomes the default and version 1.0 is removed.

We suggest using the new header to opt-in to the new version 1.1 starting today for new developments.

Opt-in to the new API

The API will support a new X-API-Version: 1.1. This new version supports pagination and more App Details. It also introduces a new response body that provides more data on nested objects such as the primaryOwner and other user fields.

To opt-in to the new version, use the following header in your API request:

{  
	"headers": {  
		"X-API-Version": "1.1"  
  }  
}

To learn more about pagination and sorting, please refer to the API reference here: https://developers.toriihq.com/reference/pagination.

Rate limits

by Tal Bereznitskey

To ensure the stability and reliability of the service, the API will start enforcing rate limits on September 1st 2024. These limits are documented on the respective API endpoint pages in our developer portal.

Learn more on the rate limits page.

An example of a custom integration for Stripe has been added to the Guides section of the community. The example code for this custom integration also has been documented in the Recipes section.

Listing or updating deleted custom Application Fields or fields that have been hidden — will now return an error listing the fields that no longer exist. This will help prevent unexpected behavior when using the API.

The /workflows/actionExecutions endpoint will return additional workflow action executions. In addition to returning a list of user-related workflow action executions in the organization, it will now return a list of all workflow action executions in the organization.